NOSpup

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
Avatar
nocsak
Hozzászólások: 344
Csatlakozott: 2014.09.29. 15:01

Re: NOSpup

Hozzászólás Szerző: nocsak »

Üdvözlök mindenkit!

Ezúton és akkor jelen napon bejelenteném a NosPup64 megjelenését.

Az ezen kiadás(ok) a Debian Bullseye 64 bites tárolóira épül(nek).

Sokáig azért nem történt meg a bejelentés - noha bekerültek már a végleges helyére az iso képfájlok, mert még most is előfordul, hogy korrigálunk némelyiken azért, hogy a lehető legjobb kiindulási alapként lehessen őket használatba venni. Értelemszerűen épp ezek miatt még Teszt-állapotban vannak. A jelen bejelentést és az aktuális kiadásokat megelőző teszt-időszakot szeretném megköszönni minden abban résztvevőnek, akik így segítették a stabilitás elérését! Külön köszönöm ticoo1 munkáját aki nagyon sokat tett a végeredményért részeiben is és egészében is egyaránt! Érdemes a kiadások mappáján belül található Packages mappából pótolni az igényeknek megfelelő programokat, mivel azok már elő vannak készítve és illesztve a kiadott képfájlokhoz.

Végszóként egy kis összefoglalás a munkálatokról amik megelőzték a jelen verziókat:

Ahhoz, hogy egy adott csomag - program teljes értékű futási környezetnek örvendhessen, sokszor külső függőséget ne adj ég binárist kellett beszerezni. Ennek egyik oka lehetett egy béta verzió, mely nem működött együtt a rendszer további függőségeivel vagy binárisaival - másik oka pedig olyan függőség vagy bináris mely az adott csomag tárhelyen nem volt fellelhető. Ez pedig sajnos bátran merem kijelenteni, hogy a globális méretekben felfedezhető - nagy disztribúcióknál is előforduló rendszertelenség vagy eddig bejáratott nevén, káosz okoz. Ugyanakkor eddig nem sikerült pontos magyarázatot találni a jelenség okára, mely erős gyanú szerint lehet még az általam ASIC-esedésnek nevezett jelenség miatt is. Ezt pedig másutt is a biztonsággal indokolják. Az viszont szigorú tény, hogy egy-egy bináris vagy függőség sokkal kényesebb és specifikusabb egy adott függőségre ami függőség szintén specifikusabb egy másikra, és ezt a hálózatot karban tartani sokszor erősen nagy kihívás. Ilyen függőség-hálózattal bír a híres-hirhedt glibc is, melynek illesztésében ticoo1 ért el a mi esetünkben kizárólagos sikereket! Az ő megoldásaival tudjuk aktualizálni a régebbi pupleteket és stabilizálni a jelenlegieket. Ezért is köszönöm külön az ő munkáját, de épp ezért is szeretném mindenki megértését kérni aziránt, hogyha marad valami hiba az adott kiadásban. A visszajelzések tudnak minket a leggyorsabban segíteni, hogy azokat utólagosan javítani tudjuk!

Mindenkinek hasznos idő és rendszertöltést kívánok!

janugsa
Adminisztrátor
Hozzászólások: 558
Csatlakozott: 2014.06.28. 00:17

Re: NOSpup

Hozzászólás Szerző: janugsa »

Kipróbáltam a „Nospup64_1.6-desk-hu-K-4.19.23-legacyboot 2021„ puppyt.
2 magos cpu, 4gb ram, 12 év körüli kicsi laptop (régi boot).

Nálam nagyon gyors volt, mindenben. 64-bites rendszer ellenére. A pulse audio is jó itt,
más puppynál nem mindig volt jó nekem, illetve állítgatni kellett azokat.

Nálam rosszak:
-menu-beállítások-xorg video varázsló -------felbontás és egyebek nincsenek
kicseréltem az/usr/sbin/xorgwizard fájlt egy bullseyepup64-ből.

-/etc/acpi/actions/suspend.sh fájllal szoktam altatni a gépet, de most ettől lefagy a
puppy. 64 bites buster suspend fájljára cserélve jó.

-az mc fájlkezelő menüből jó, de a desktop fájlja nem. A .desktop szövegfájban
az Exec és a Terminal sorokat változtattam és jó lett:
Exec=lxterminal -e mc
Terminal=false

-a drájver ikonok néha egymásra csúsznak, most az sda1-re az sdb1. De volt egy
másik mentésfájlos verzió, annál minden sda-sdb egymáson volt néha (7darab).
Ezt csak megemlítem, lehet hogy nem hiba, hanem valamelyik általam telepített program okozza. Mplayert, youtube-music, dillo. listdd programokat telepítettem.

Avatar
nocsak
Hozzászólások: 344
Csatlakozott: 2014.09.29. 15:01

Re: NOSpup

Hozzászólás Szerző: nocsak »

Köszönjük, köszönöm a visszajelzést!

Igen, ticoo1 kolléga segítségével készültek a NosPup64 képfájl szériái is, én ugyan ennyire részletesen nem láttam bele, de örülök, hogy van aki adott visszajelzést! Tudni kell róla, hogy itt sokkal-sokkal több függést és káoszt kellett kibogozni, szóval ez már nem olyan egyszerű lineáris Woof-CE build volt mint a 32 bites elődje a NosPup32. A leírt fájlok segítségével majd megnézem én is és megpróbálom tüzetesebben átfésülni a rendszert. Mégegyszer köszönjük a visszajelzést!

Illetve idén 2 féle kernelt is fordítottam, a napokban a 4.19.235 aktuálisan akkori legfrissebb longterm változatot PAE 32bit és 64bit ia32 képességekkel, mindkettő esetben powersave alapértelmezett CPU scaling-gel:

Itt megtalálhatók: https://sourceforge.net/projects/puppys ... 22/kernel/

Avatar
nocsak
Hozzászólások: 344
Csatlakozott: 2014.09.29. 15:01

Re: NOSpup

Hozzászólás Szerző: nocsak »

Javítottam a listázott hibákat, és egyúttal uefi kompatibilis hibrid iso-t is készítettem a nevezett képfájlból, íme:

https://sourceforge.net/projects/puppys ... o/download

Bónusz javítva lett a pnethood, és kapott numlockx parancsot is... így már tudunk első indulásnál Num Lock -ot is jelelölő négyzetelni. Még a Grub4Dos FAT32 pendrive telepítőt is meg kéne benne nézni, mert úgy rémlik az sem teljes. Ehhez 1db törölhető pendrive-ra van szükség. Hiányzik még valamiért egy rakás ikon is, azokat sem tudom és nem értem még hogy honnan kéne pótolni. Ha van még bárkinek bármi észrevétele, akkor köszönjük a visszajelzést továbbra is! Az is várat még magára, hogy a tűzfal automatikusan ne legyen aktív, hanem csak aktiválható, de ezek már részlet kérdések.

ticoo1
Hozzászólások: 603
Csatlakozott: 2014.10.21. 08:58

Re: NOSpup

Hozzászólás Szerző: ticoo1 »

Üdv!

Frissítve lett a NosPup64 magyar változata, glic-2.35 és ffmpeg-5.0 került bele. Természetesen kapott egy általános frissítést is.
Itt: https://sourceforge.net/projects/puppys ... o/download
Képenyő kép.jpg
Képenyő kép.jpg (174.07 KiB) Megtekintve 396 alkalommal
Még van mit javítgatni, de lassan kész lesz (talán).

Avatar
nocsak
Hozzászólások: 344
Csatlakozott: 2014.09.29. 15:01

Re: NOSpup

Hozzászólás Szerző: nocsak »

Kedves ticoo1!!!

Sikerült megoldani a db_get rejtélyét, maradhat az apt a vanilla skeletonjában!!!! (A mindig adatbázis frissített PPM-et innentől szigorúan csak az apt-vel nem telepíthető csomagok telepítésekor javallott használni!)
Szerintem ne dobjuk az apt-t, mindjárt mondom miért:

az apt-get install gimp vagy apt install gimp után ugye fejre áll a manőver.....

Kód: Egész kijelölése

Hibák történtek a feldolgozáskor:
 libpaper1:amd64
 libgs9:amd64
 gimp
E: Sub-process /usr/bin/dpkg returned an error code (1)
~$ apt-get autoremove
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
0 frissített, 0 újonnan telepített, 0 eltávolítandó és 1 nem frissített.
3 nincs teljesen telepítve/eltávolítva.
A művelet után 0 B lemezterület kerül felhasználásra.
Beállítás: libpaper1:amd64 (1.1.28+b1) ...
Can't locate Debconf/Db.pm in @INC (you may need to install the Debconf::Db module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.32.1 /usr/local/share/perl/5.32.1 /usr/lib/x86_64-linux-gnu/perl5/5.32 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl-base /usr/lib/x86_64-linux-gnu/perl/5.32 /usr/share/perl/5.32 /usr/local/lib/site_perl) at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: error processing package libpaper1:amd64 (--configure):
 installed libpaper1:amd64 package post-installation script subprocess returned error exit status 2
dpkg: dependency problems prevent configuration of libgs9:amd64:
 libgs9:amd64 függőségek: libpaper1; ám:
  libpaper1:amd64 csomag még beállítatlan.

dpkg: error processing package libgs9:amd64 (--configure):
 függőségi hibák - e csomag beállítatlan maradt
dpkg: dependency problems prevent configuration of gimp:
 gimp függőségek: libgs9 (>= 8.61.dfsg.1); ám:
  libgs9:amd64 csomag még beállítatlan.

dpkg: error processing package gimp (--configure):
 függőségi hibák - e csomag beállítatlan maradt
Processing triggers for libc-bin (2.31-13+deb11u3) ...
Hibák történtek a feldolgozáskor:
 libpaper1:amd64
 libgs9:amd64
 gimp
E: Sub-process /usr/bin/dpkg returned an error code (1)
~$
ugye ez már azután történt, hogy a debconf mappát manuálisan létrehoztam az /usr/share könyvtárban. És beleszórtam amit Mob kolléga szerzett egy debian installból, amiben ugye a híres-hírhedt db_get funkció is szerepel.

De még ezután is fejtetőre állt az apt.. s addig se fel se un-installálni nem lehet... ugye a synaptic eddig felejtős, mert a terminál írja a hibákat....

Ekkor jött KuLuSz-ék újabb nagy ötlete, lefrissített ppm segítségével tegyük fel a debconf csomagot, felraktam, de mivel már volt a rendszerben uninstalláltam is, majd megint fel a ppm-ből s még mindig volt hiba....nem ragozom, a terminálos hibákat csokorba kötve majd NTamas perl újretelepítős javaslatával feléledt a trigger és voilá kijavította a hibákat, a gimp és a vlc a vlc patch után pöccröff indultak....

Íme a képek:
003.jpg
003.jpg (67.88 KiB) Megtekintve 328 alkalommal
002.jpg
002.jpg (223.65 KiB) Megtekintve 328 alkalommal
001.jpg
001.jpg (106 KiB) Megtekintve 328 alkalommal

NTamas egyébként a synaptichoz javasolja a következő csomagok pótlását is PPM-ből:

Kód: Egész kijelölése

sgml-base_1.30
sgml-data_2.0.11+nmu1

Avatar
nocsak
Hozzászólások: 344
Csatlakozott: 2014.09.29. 15:01

Re: NOSpup

Hozzászólás Szerző: nocsak »

Ja igen, és a gtkdialog-ok az /usr/sbin-ben megint nem jók!!!

a gtkdialog3 és gtkdialog4 symlinkeket töröltem
a gtkdialog binárist átneveztem gtkdialog3-ra,
és a gtk2dialog binárist sima gtkdialog -ra.

ticoo1
Hozzászólások: 603
Csatlakozott: 2014.10.21. 08:58

Re: NOSpup

Hozzászólás Szerző: ticoo1 »

Üdv!

2022.06.13-án cserélve lettek a ...glibc-2.35..-ös ISO-k, frissítések kerültek bele, pl. vlc-3.0.17.4, és pár egyéb probléma is javítva lett.

Sajnos az "SMTube" youtube-os beállításban nem működött, egyszerűen eldobta a programot. Mivel minden vizsgálat eredménye az lett, hogy nincs hiba, nocsak írt egy szkriptet, amivel sikerült megfejteni a problémát. Sajnos egy olyan debian csomag tartalma volt hibás, ami már az elején belekerült (woof-ce), csak éppen nem jelentkezett hibát.

Itt az első frissítés, s remélem sokáig az utolsó. Udate-2022-07-02.pet, elsősorban a glibc-2.35-ös változatokhoz készült, gftp, smtube, uget, stb -- minden olyat tartalmaz, amiről a discordon beszéltünk és NTamas által adott valamennyi kiegészítést is (ha nem hagytam ki valamit). A régebbi, nem glibc-2.35-ösök esetében is alkalmazható, de a repón lévő programok egy része (vlc-3.0.17.4, mpv-0.34.1, geany-1.38...) csak akkor fog működni, ha a glibc-2.35-re frissítve lesz.

https://sourceforge.net/projects/puppys ... t/download

Új programok is kerültek fel a repóra.

Készítettem egy alapváltozatot 32-64 bites kiadásban, wine-3 van benne (egy egyszerű "rátelepítéssel cserélhető), a wine konfigurálását mindenkinek magának kell befejezni

https://sourceforge.net/projects/puppys ... /NosPup64/

Képekben:
1.jpg
1.jpg (176.24 KiB) Megtekintve 249 alkalommal
2.jpg
2.jpg (194.75 KiB) Megtekintve 249 alkalommal
3.jpg
3.jpg (187.16 KiB) Megtekintve 249 alkalommal

Válasz küldése

Vissza: “Pupletek”